Summary:	Graphical network viewer modeled after etherman
Name:		etherape
Version:	0.9.19
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		https://etherape.sourceforge.net
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:	usermode-consoleonly

BuildRequires:	gnome-doc-utils
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(popt)
BuildRequires:	scrollkeeper
BuildRequires:	itstool

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic.
Color coded protocols display. It supports ethernet, ppp and slip
devices. It can filter traffic to be shown, and can read traffic
from a file as well as live from the network.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install bindir=%{_sbindir}

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/%{_sbindir}/%{name} %{buildroot}/%{_sbindir}/%{name}.real
ln -sf %{_bindir}/consolehelper %{buildroot}/%{_bindir}/%{name}

# pam.d
install -m 755 -d %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       required     pam_console.so
auth       sufficient	pam_timestamp.so
auth       include	system-auth
account    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
_EOF_

# console.apps
install -m 755 -d %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << _EOF_
USER=root
PROGRAM=%{_sbindir}/%{name}.real
SESSION=true
FALLBACK=false
_EOF_

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README* FAQ
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}.real
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Dec 03 2020 luigiwalser <luigiwalser> 0.9.19-1.mga8
+ Revision: 1652307
- 0.9.19
- remove patches and extra source, fixed upstream
- fix BRs

* Sat Feb 15 2020 umeabot <umeabot> 0.9.18-3.mga8
+ Revision: 1526256
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri May 03 2019 alexl <alexl> 0.9.18-2.mga7
+ Revision: 1396228
- add Russian
- fix crash on changing modes

* Sat Jan 05 2019 daviddavid <daviddavid> 0.9.18-1.mga7
+ Revision: 1349400
- new version: 0.9.18

* Sun Sep 23 2018 umeabot <umeabot> 0.9.16-2.mga7
+ Revision: 1297627
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 kekepower <kekepower> 0.9.16-1.mga7
+ Revision: 1212460
- BR itstool
- Update to version 0.9.16

* Tue Mar 21 2017 akien <akien> 0.9.15-1.mga6
+ Revision: 1093887
- Version 0.9.15 (mga#20548)
- Drop old fixes that were upstreamed
- Do not convert icons for hicolor, 48x48 pixmaps is enough

* Tue Feb 09 2016 umeabot <umeabot> 0.9.13-6.mga6
+ Revision: 951670
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 0.9.13-5.mga5
+ Revision: 808779
- new GenericName for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.9.13-4.mga5
+ Revision: 745454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.13-3.mga5
+ Revision: 679036
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 alexl <alexl> 0.9.13-2.mga5
+ Revision: 672986
- translated desktop file
- fixed "file-not-utf8"
- cleanup spec, used pkgconfig

* Sat Jun 28 2014 pterjan <pterjan> 0.9.13-1.mga5
+ Revision: 640927
- 0.9.13

* Fri Oct 18 2013 umeabot <umeabot> 0.9.12-4.mga4
+ Revision: 504104
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.12-3.mga3
+ Revision: 349748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 guillomovitch <guillomovitch> 0.9.12-2.mga2
+ Revision: 214964
- don't strip documentation files (#1596)

* Thu Jun 30 2011 ahmad <ahmad> 0.9.12-1.mga2
+ Revision: 116345
- Update to 0.9.12
- Use %%configure2_5x

* Fri Mar 25 2011 ennael <ennael> 0.9.10-1.mga1
+ Revision: 77446
- clean spec file
- imported package etherape


* Tue Feb 08 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 636820
- update to 0.9.10

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-2mdv2011.0
+ Revision: 610388
- rebuild

* Thu Jan 07 2010 Jérôme Brenier <incubusss@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 487237
- new version 0.9.9
- drop Patch0 and Patch1 (merged upstream)
- BuildRequires : gnome-doc-utils
- clean specfile

* Mon Nov 30 2009 Jérôme Brenier <incubusss@mandriva.org> 0.9.8-1mdv2010.1
+ Revision: 471875
- new version 0.9.8
- fix str fmt (Patch1)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-6mdv2009.1
+ Revision: 298250
- rebuilt against libpcap-1.0.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-5mdv2009.0
+ Revision: 266733
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.7-4mdv2009.0
+ Revision: 192817
- oops, gotta create bindir...
- update icon cache in %%post
- use %%buildroot throughout
- the 'wrapper' executable should be in bindir, not sbindir

* Tue Feb 05 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.7-3mdv2008.1
+ Revision: 162554
- oops, fix a screwup in the previous PAM fix (#37385)

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.7-2mdv2008.1
+ Revision: 158959
- fix up the pam config file to fix launch (#20581)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.7-1mdv2008.0
+ Revision: 81179
- buildrequires imagemagick
- buildrequires desktop-file-utils
- rebuild for 2008
- fd.o icons
- drop outdated conditional in pam.d file
- drop legacy menu and X-Mandriva menu categories, fix .desktop errors
- just use autoreconf instead of all the manual autotools stuff
- clean buildrequires
- use Fedora license policy

  + Antoine Ginies <aginies@mandriva.com>
    - release 0.9.7


* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.6-4mdv2007.0
- rebuild for new dbus

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.6-3mdv2007.0
- xdg menu
- disable paralell build to fix build on x86_64

* Tue Jul 04 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.6-2mdv2007.0
- added buildrequires for scrollkeeper
- using newer PAM include feature, make it backportable

* Thu May 18 2006 Lenny Cartier <lenny@mandriva.com> 0.9.6-1mdk
- regenerate patch0
- 0.9.6

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 0.9.5-1mdk
- regenerate patch0
- remove patches merged upstream
- 0.9.5

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)
- added P1 and P2 from gentoo

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.9.1-1mdk
- New version
- P0: Update desktop file to newer convention

* Sun Jan 18 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-4mdk
- Include pam stuff in spec, and don't need to reauthenticate after
  small period of time

* Thu Sep 04 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-3mdk 
- BuildRequires ( libglade2.0_0-devel,libgnomeui2_0-devel,libpcap-devel )
- do not use static pcap

